using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace PowderCoating.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class AddSetupWizardProgress : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<bool>(
                name: "SetupWizardCompleted",
                table: "CompanyPreferences",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<string>(
                name: "SetupWizardDoneSteps",
                table: "CompanyPreferences",
                type: "nvarchar(max)",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "SetupWizardSkippedSteps",
                table: "CompanyPreferences",
                type: "nvarchar(max)",
                nullable: true);

            migrationBuilder.AddColumn<bool>(
                name: "SetupWizardStarted",
                table: "CompanyPreferences",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.UpdateData(
                table: "PricingTiers",
                keyColumn: "Id",
                keyValue: 1,
                column: "CreatedAt",
                value: new DateTime(2026, 3, 8, 19, 59, 16, 598, DateTimeKind.Utc).AddTicks(2808));

            migrationBuilder.UpdateData(
                table: "PricingTiers",
                keyColumn: "Id",
                keyValue: 2,
                column: "CreatedAt",
                value: new DateTime(2026, 3, 8, 19, 59, 16, 598, DateTimeKind.Utc).AddTicks(2817));

            migrationBuilder.UpdateData(
                table: "PricingTiers",
                keyColumn: "Id",
                keyValue: 3,
                column: "CreatedAt",
                value: new DateTime(2026, 3, 8, 19, 59, 16, 598, DateTimeKind.Utc).AddTicks(2819));
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "SetupWizardCompleted",
                table: "CompanyPreferences");

            migrationBuilder.DropColumn(
                name: "SetupWizardDoneSteps",
                table: "CompanyPreferences");

            migrationBuilder.DropColumn(
                name: "SetupWizardSkippedSteps",
                table: "CompanyPreferences");

            migrationBuilder.DropColumn(
                name: "SetupWizardStarted",
                table: "CompanyPreferences");

            migrationBuilder.UpdateData(
                table: "PricingTiers",
                keyColumn: "Id",
                keyValue: 1,
                column: "CreatedAt",
                value: new DateTime(2026, 3, 8, 15, 58, 34, 641, DateTimeKind.Utc).AddTicks(3623));

            migrationBuilder.UpdateData(
                table: "PricingTiers",
                keyColumn: "Id",
                keyValue: 2,
                column: "CreatedAt",
                value: new DateTime(2026, 3, 8, 15, 58, 34, 641, DateTimeKind.Utc).AddTicks(3629));

            migrationBuilder.UpdateData(
                table: "PricingTiers",
                keyColumn: "Id",
                keyValue: 3,
                column: "CreatedAt",
                value: new DateTime(2026, 3, 8, 15, 58, 34, 641, DateTimeKind.Utc).AddTicks(3631));
        }
    }
}
